import { jsx } from "react/jsx-runtime";
import { CubeFocusIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CubeFocus = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CubeFocus", ...props, children: /* @__PURE__ */ jsx(CubeFocusIcon, { weight: variant }) });
  }
);
CubeFocus.displayName = "CubeFocus";
Object.assign(CubeFocus, { isGdsIcon: true });
export {
  CubeFocus
};
